Skip to content

Get active announcements for current user (works for anonymous users)

GET
/announcements/active
curl --request GET \
--url https://api.ethos.network/api/v2/announcements/active

Successful response

Media typeapplication/json
Array<object>
object
id
required
number
title
required
string
description
required
string
imageUrl
required
string | null
actionButtonLabel
required
string | null
actionButtonUrl
required
string | null
startDateTime
required
string
endDateTime
required
string
status
required
string
Allowed values: ACTIVE INACTIVE
createdAt
required
string
updatedAt
required
string
authorAvatarUrl
required
string | null

Example

[
{
"status": "ACTIVE"
}
]

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}